Unity 3.4 and Warnings

Unity 3.4 and Warnings

Postby danielsonchris » Wed Jul 27, 2011 3:21 pm

Brady,
Thank you for the great product EZ Gui. Any ETA on minor fixes for all the warnings we get using EZ Gui 1.056 purchased from the Unity Asset Store on Unity 3.4? I can dance through these fixes myself, but I figured you would be updating soon enough.

- Finished compile Library/ScriptAssemblies/Assembly-CSharp-Editor.dll
Assets/EZ GUI/Editor/AnBSoft/Editors/UICtlEditor.cs(339,68): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Editors/UICtlEditor.cs Line: 339)

Assets/EZ GUI/Editor/AnBSoft/Editors/UICtlEditor.cs(755,40): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Editors/UICtlEditor.cs Line: 755)

Assets/EZ GUI/Editor/AnBSoft/Editors/UIPanelEditor.cs(419,40): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Editors/UIPanelEditor.cs Line: 419)

Assets/EZ GUI/Editor/AnBSoft/Inspectors/UICtlInspector.cs(178,60): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Inspectors/UICtlInspector.cs Line: 178)

Assets/EZ GUI/Editor/AnBSoft/Inspectors/UICtlInspector.cs(353,40): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Inspectors/UICtlInspector.cs Line: 353)

Assets/EZ GUI/Editor/AnBSoft/Inspectors/UIPanelBaseInspector.cs(224,40): warning CS0618: `UnityEditor.EditorGUILayout.ObjectField(string, UnityEngine.Object, System.Type, params UnityEngine.GUILayoutOption[])' is obsolete: `Check the docs for the usage of the new parameter 'allowSceneObjects'.'

(Filename: Assets/EZ GUI/Editor/AnBSoft/Inspectors/UIPanelBaseInspector.cs Line: 224)


Kind Regards,
Chris
danielsonchris
 
Posts: 1
Joined: Wed Jul 27, 2011 3:17 pm

Re: Unity 3.4 and Warnings

Postby Brady » Wed Jul 27, 2011 5:37 pm

Yes, another beta is going out hopefully today that addresses these (though these are just deprecation warnings and are "safe" for now and only apply to the editor). Hopefully very soon thereafter I'll have the full final release ready and submitted to the Asset Store. Thanks.
Brady
 
Posts: 5361
Joined: Tue Jul 06, 2010 11:33 pm

Re: Unity 3.4 and Warnings

Postby Little Angel » Thu Jul 28, 2011 12:15 am

Big YAY for 1.06b35!

3.4 ready. No warnings!

All quiet on the console front.
Little Angel
 
Posts: 772
Joined: Thu Sep 02, 2010 10:23 pm

Re: Unity 3.4 and Warnings

Postby GrouchoDuke » Fri Jul 29, 2011 5:54 am

Thanks for the update Brady! Downloading it & Unity 3.4 now!
GrouchoDuke
 
Posts: 32
Joined: Sat Apr 30, 2011 4:08 pm

Re: Unity 3.4 and Warnings

Postby jrricky » Fri Jul 29, 2011 3:21 pm

Brady I am still getting a lot of warnings and I just updated:

Assets/Plugins/EZ/GUI/Controls/UIBtnWWW.cs(44,43): warning CS0618: `UnityEngine.iPhoneSettings.internetReachability' is obsolete: `internetReachability property is deprecated. Please use Application.internetReachability instead.'

Assets/Plugins/EZ/GUI/Controls/UIBtnWWW.cs(44,93): warning CS0618: `UnityEngine.iPhoneNetworkReachability' is obsolete: `iPhoneNetworkReachability enumeration is deprecated. Please use NetworkReachability instead.'

Assets/Plugins/EZ/GUI/Management/UIManager.cs(713,44): warning CS0618: `UnityEngine.iPhoneSettings.model' is obsolete: `model property is deprecated. Please use SystemInfo.deviceModel instead.'
jrricky
 
Posts: 45
Joined: Mon Sep 27, 2010 3:09 pm

Re: Unity 3.4 and Warnings

Postby Little Angel » Fri Jul 29, 2011 4:06 pm

Do you get these when compiling in the editor? Or when building? I'm getting warnings as well, but oddly, only when building to the device.
Little Angel
 
Posts: 772
Joined: Thu Sep 02, 2010 10:23 pm

Re: Unity 3.4 and Warnings

Postby jrricky » Fri Jul 29, 2011 4:32 pm

Little Angel wrote:Do you get these when compiling in the editor? Or when building? I'm getting warnings as well, but oddly, only when building to the device.

in editor
jrricky
 
Posts: 45
Joined: Mon Sep 27, 2010 3:09 pm

Re: Unity 3.4 and Warnings

Postby Brady » Fri Jul 29, 2011 7:22 pm

I'm going to have a "hotfix" out hopefully today that will address these warnings. Thanks!
Brady
 
Posts: 5361
Joined: Tue Jul 06, 2010 11:33 pm

Re: Unity 3.4 and Warnings

Postby jrricky » Tue Aug 02, 2011 3:29 pm

Is it out yet?
jrricky
 
Posts: 45
Joined: Mon Sep 27, 2010 3:09 pm

Re: Unity 3.4 and Warnings

Postby Brady » Tue Aug 02, 2011 4:25 pm

Yes, you'll find b36 on the updates page:
www.anbsoft.com/updates
Brady
 
Posts: 5361
Joined: Tue Jul 06, 2010 11:33 pm

Next

Return to EZ GUI General

Who is online

Users browsing this forum: No registered users and 3 guests

cron